"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const namespace_1 = require("@ionic/cli-utils/lib/namespace");
class ConfigNamespace extends namespace_1.Namespace {
    constructor() {
        super(...arguments);
        this.name = 'config';
        this.description = 'Manage CLI and project config values';
        this.longDescription = `
These commands are used to programmatically read and write CLI and project config values.

By default, these commands use your project's ${chalk_1.default.bold('ionic.config.json')} file.

To use these commands for the global CLI config file (${chalk_1.default.bold('~/.ionic/config.json')}), use the ${chalk_1.default.green('--global')} flag.
`;
        this.commands = new namespace_1.CommandMap([
            ['get', () => tslib_1.__awaiter(this, void 0, void 0, function* () { const { ConfigGetCommand } = yield Promise.resolve().then(() => require('./get')); return new ConfigGetCommand(); })],
            ['set', () => tslib_1.__awaiter(this, void 0, void 0, function* () { const { ConfigSetCommand } = yield Promise.resolve().then(() => require('./set')); return new ConfigSetCommand(); })],
        ]);
    }
}
exports.ConfigNamespace = ConfigNamespace;
