"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const command_1 = require("@ionic/cli-utils/lib/command");
let DoctorListCommand = class DoctorListCommand extends command_1.Command {
    run(inputs, options) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const { Ailments } = yield Promise.resolve().then(() => require('@ionic/cli-utils/lib/doctor/ailments'));
            const ailmentIds = Ailments.ALL.map(Ailment => new Ailment().id);
            this.env.log.msg(ailmentIds.map(id => chalk_1.default.green(id)).join('\n'));
        });
    }
};
DoctorListCommand = tslib_1.__decorate([
    command_1.CommandMetadata({
        name: 'list',
        type: 'project',
        description: 'List all issue identifiers',
    })
], DoctorListCommand);
exports.DoctorListCommand = DoctorListCommand;
