"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const lib_1 = require("@ionic/cli-framework/lib");
const command_1 = require("@ionic/cli-utils/lib/command");
const integrations_1 = require("@ionic/cli-utils/lib/integrations");
let IntegrationsEnableCommand = class IntegrationsEnableCommand extends command_1.Command {
    run(inputs, options) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const [id] = inputs;
            const { quiet } = options;
            yield integrations_1.enableIntegration(this.env, id, { quiet: Boolean(quiet) });
        });
    }
};
IntegrationsEnableCommand = tslib_1.__decorate([
    command_1.CommandMetadata({
        name: 'enable',
        type: 'project',
        description: 'Add various integrations to your app',
        inputs: [
            {
                name: 'id',
                description: `The integration to enable (${integrations_1.INTEGRATIONS.map(i => chalk_1.default.green(i.name)).join(', ')})`,
                validators: [lib_1.contains(integrations_1.INTEGRATIONS.map(i => i.name), {})],
            }
        ],
        options: [
            {
                name: 'quiet',
                description: 'Do not log file operations',
                type: Boolean,
            }
        ],
    })
], IntegrationsEnableCommand);
exports.IntegrationsEnableCommand = IntegrationsEnableCommand;
