import { BaseConfig } from '@ionic/cli-framework';
import { BaseIntegration } from '../';
import { EnterpriseProjectIntegration, IntegrationAddDetails, IntegrationName } from '../../../definitions';
export declare class EnterpriseIntegrationConfig extends BaseConfig<EnterpriseProjectIntegration> {
    provideDefaults(c: Partial<Readonly<EnterpriseProjectIntegration>>): EnterpriseProjectIntegration;
}
export declare class Integration extends BaseIntegration<EnterpriseProjectIntegration> {
    readonly name: IntegrationName;
    readonly summary = "Ionic Enterprise Edition provides premier native solutions, UI, & support for companies building cross-platform apps.";
    readonly archiveUrl: undefined;
    enable(config?: EnterpriseProjectIntegration): Promise<void>;
    add(details: IntegrationAddDetails): Promise<void>;
    private validatePK;
    private chooseAppToLink;
    private registerKey;
    private getAppClient;
    private createNewApp;
    private chooseApp;
    private getPK;
    private updateNPMRC;
    readonly config: EnterpriseIntegrationConfig;
}
